Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Interface IStorageDocumentProvider

All Known Implementing Classes:
  ForwardingDocumentProvider, StorageDocumentProvider, TextFileDocumentProvider, TextFileDocumentProvider.NullProvider

public interface IStorageDocumentProvider

Document provider for `IStorage` based domain elements. Basically incorporates the concept of character encoding.

Since:
  2.0

Method Summary
`String` | `getDefaultEncoding()` Returns the default character encoding used by this provider.
`String` | `getEncoding(Object element)` Returns the character encoding for the given element, or `null` if the element is not managed by this provider.
`void` | `setEncoding(Object element, String encoding)` Sets the encoding for the given element.

Method Detail

### getDefaultEncoding

    public String getDefaultEncoding()

  Returns the default character encoding used by this provider.

  Returns:
    the default character encoding used by this provider

### getEncoding

    public String getEncoding(Object element)

  Returns the character encoding for the given element, or `null` if the element is not managed by this provider.

  Parameters:
    `element` - the element
  Returns:
    the encoding for the given element

### setEncoding

    public void setEncoding(Object element,
                            String encoding)

  Sets the encoding for the given element. If `encoding` is `null` the workbench's character encoding should be used.

  Parameters:
    `element` - the element
    `encoding` - the encoding to be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.